<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('topspender_rewards', function (Blueprint $table) {
            $table->integer('octet')->default(0)->after('protect_type');
            $table->integer('mask')->default(0)->after('octet');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('topspender_rewards', function (Blueprint $table) {
            $table->dropColumn(['octet', 'mask']);
        });
    }
};
